<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<!-- forms\user_framework\home_page_report_query_editor.jsp -->
<%@ taglib prefix="change" uri="http://www.telelogic.com/change" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>

<html>
<head>
	<title></title>
	
	<style type="text/css">
<!--

<change:wsletExpander>
	<!-- WSLET CODE=PTInclude -->
	<!-- PARAM NAME=styles/default.css -->
	<!-- PARAM NAME=styles/menu.css -->
	<!-- /WSLET -->
</change:wsletExpander>

-->
	</style>
	
	<script type="text/javascript" src="<change:urlCreator webResource='JS'/>dojo/dojo/dojo.js" djConfig="parseOnLoad: true"></script>
	<script type="text/javascript" src="<change:urlCreator webResource='JS'/>dwr/engine.js"></script>
	<script type="text/javascript" src="dwr/interface/LdapUserUtilsAjax.js"></script>
	
	<script type="text/javascript">
dojo.addOnLoad(initialize_onLoad);
<!--

var token = "${user.token}";
var role = <change:javaScriptEscape value="${user.role}"/>;
var attribute_scope = <change:userPreference value="attribute_scope" defaultValue="" escape="true"/>;

<change:wsletExpander>
	<!-- WSLET CODE=PTLoadData -->
	<!-- PARAM NAME=CCM_PT_SYSTEM -->
	<!-- PARAM NAME=dcm_dbid -->
	<!-- PARAM NAME=dcm_delimiter -->
	<!-- PARAM NAME=licensed_dcmpt -->
	<!-- /WSLET -->
</change:wsletExpander>

<change:wsletExpander>
	<!-- WSLET CODE=PTLoadData -->
	<!-- PARAM NAME=CCM_SECURITY_DATA -->
	<!-- PARAM NAME=CCM_TOKEN -->
	<!-- PARAM NAME=CCM_ROLE -->
	<!-- PARAM NAME=CCM_TIMESTAMP -->
	<!-- PARAM NAME=CCM_USER -->
	<!-- PARAM NAME=CCM_VERSION VALUE="4.0" -->
	<!-- PARAM NAME=CCM_LIFECYCLE -->
	<!-- /WSLET -->
</change:wsletExpander>

<change:wsletExpander>
	<!-- WSLET CODE=PTInclude -->
	<!-- PARAM NAME=ptalert.js -->
	<!-- PARAM NAME=formload.js -->
	<!-- PARAM NAME=hyperlink.js -->
	<!-- PARAM NAME=queryAndReportPrivileges.js -->
	<!-- PARAM NAME=calendar.js -->
	<!-- PARAM NAME=Stack.js -->
	<!-- PARAM NAME=task_framework/object_name.js -->
	<!-- PARAM NAME=EventUtils.js -->
	<!-- PARAM NAME=Shim.js -->
	<!-- PARAM NAME=Layout.js -->
	<!-- PARAM NAME=MessageFormat.js -->
	<!-- /WSLET -->
</change:wsletExpander>

<change:wsletExpander>
	<!-- WSLET CODE=PTInclude -->
	<!-- PARAM NAME=AttributeScopeMenu.js -->
	<!-- /WSLET -->
</change:wsletExpander>

//For CRS
<change:wsletExpander>
	<!-- WSLET CODE=PTAdmin -->
	<!-- PARAM NAME=ATTRIBUTE_DATA VALUE=QUERIABLE_ATTRIBUTES -->
	<!-- PARAM NAME=created_in VALUE=CCM_LISTBOX:modifiable_in -->
	<!-- PARAM NAME=crstatus VALUE=CCM_LISTBOX:crstatus -->
	<!-- /WSLET -->
</change:wsletExpander>

//For Tasks
<change:wsletExpander>
	<!-- WSLET CODE=PTAdmin -->
	<!-- PARAM NAME=ATTRIBUTE_DATA VALUE=QUERIABLE_TASK_ATTRIBUTES -->
	<!-- PARAM NAME=created_in VALUE=CCM_LISTBOX:modifiable_in -->
	<!-- PARAM NAME=status VALUE=CCM_VALUELISTBOX:TASK_STATES_VLBX -->
	<!-- /WSLET -->
</change:wsletExpander>

//For Objects
<change:wsletExpander>
	<!-- WSLET CODE=PTAdmin -->
	<!-- PARAM NAME=ATTRIBUTE_DATA VALUE=QUERIABLE_OBJECT_ATTRIBUTES -->
	<!-- /WSLET -->
</change:wsletExpander>

//Used by queryFilter.CUSTOM
var attribute_data;
var relationships;

function getContextQuery()
{
	return parent.report.query;
}

function getContextReport()
{
	return parent.report;
}

function loadTypes()
{
	var report = getContextReport();
	var type = report.sub_reports[0].def_type_string;
	
	if (type == "crs")
	{
		attribute_data = QUERIABLE_ATTRIBUTES_DATA;
		relationships  = problem_relationships;
	}
	else if (type == "tasks")
	{
		attribute_data = QUERIABLE_TASK_ATTRIBUTES_DATA;
		relationships  = task_relationships;
	}
	else if (type == "objects")
	{
		attribute_data = QUERIABLE_OBJECT_ATTRIBUTES_DATA;
		relationships  = object_relationships;
	}
}

function initialize_onLoad()
{
	var queryObject = getContextQuery();
	var name = document.createTextNode(queryObject.name);
	document.getElementById("name").appendChild(name);
	
	name = document.createTextNode(queryObject.description);
	document.getElementById("description").appendChild(name);
	
	loadTypes();
	initializeQueryFilter();
	setQueryFilter(queryObject.query_string);
	SetFormLoading(false);
}

-->
	</script>

</head>

<body>
	<table width="100%"class="barHeading">
	<tr>
		<th><change:resource key="editQueryHeading"/><span id="name">&nbsp;&#151;&nbsp;</span></th>
	</tr>
	</table>

	<table>
	<tr>
		<td valign="top">
			<label for="description" class="label_decoration"><change:resource key="lbl00070"/>&nbsp;</label>	
		</td>
		<td ID="description"></td>
	</tr>
	</table>

	<hr />
	
	<form name="query" class="hiddenForm" onsubmit="return(false)">
		<change:wsletExpander>
			<!-- WSLET CODE=PTInclude -->
			<!-- PARAM NAME=custom_controls/queryFilter.CUSTOM -->
			<!-- PARAM NAME=SUB_FORM VALUE=query -->
			<!-- PARAM NAME=SUB_IS_CR VALUE=true -->
			<!-- PARAM NAME=SUB_QUERY VALUE=query_data -->
			<!-- PARAM NAME=SUB_ATTRIBUTE_DATA VALUE=attribute_data -->
			<!-- PARAM NAME=SUB_RELATIONSHIP_DATA VALUE=relationships -->
			<!-- /WSLET -->
		</change:wsletExpander>
	</form>
	
</body>

</html>